SAP Knowledge Base Article - Preview

2157001 - DBMS not supported error connecting to Oracle - SAP PB

Symptom

  • Getting a DBMS not supported error after application is migrated from PowerBuilder 9 to PowerBuilder 12.6 and compiled to an executable. 
  • Able to run the executable locally fine without any errors. The error happens when the executable runs on the Citirix server.
  • The application first tries to connect using DBMS=O90 Oracle9i (9.0.1). And when unsuccessful, it tries to use the SQLCA.dbms = "O73 ORACLE v7.3".

Is any other dlls missing or is it an issue with the way I compiled for the server?


Read more...

Environment

  • SAP PowerBuilder
  • Oracle client versions v8 and v9
  • Citrix server

Product

SAP PowerBuilder all versions

Keywords

dbms, error, oracle, pb, powerbuilder, connect, o90, o73 , KBA , BC-SYB-PB , Powerbuilder , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.